# Interface ICefProcessMessage

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefProcessMessage = interface(ICefBaseRefCounted)`

## Description

Interface representing a message. Can be used on any process and thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_process_message_capi.h">CEF source file: /include/capi/cef_process_message_capi.h (cef_process_message_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefProcessMessage

## Overview

### Methods

| `function IsValid: Boolean;`
| `function IsReadOnly: Boolean;`
| `function Copy: ICefProcessMessage;`
| `function GetName: ustring;`
| `function GetArgumentList: ICefListValue;`
| `function GetSharedMemoryRegion: ICefSharedMemoryRegion;`

### Properties

| `property Name : ustring read GetName;`
| `property ArgumentList : ICefListValue read GetArgumentList;`
| `property SharedMemoryRegion : ICefSharedMemoryRegion read GetSharedMemoryRegion;`

## Description

### Methods

| `function IsValid: Boolean;`
Returns true (1) if this object is valid. Do not call any other functions if this function returns false (0). ###### Attributes GUID['{E0B1001A-8777-425A-869B-29D40B8B93B1}']

| `function IsReadOnly: Boolean;`
Returns true (1) if the values of this object are read-only. Some APIs may expose read-only objects.

| `function Copy: ICefProcessMessage;`
Returns a writable copy of this object. Returns nullptr when message contains a shared memory region.

| `function GetName: ustring;`
Returns the message name.

| `function GetArgumentList: ICefListValue;`
Returns the list of arguments. Returns nullptr when message contains a shared memory region.

| `function GetSharedMemoryRegion: ICefSharedMemoryRegion;`
Returns the shared memory region. Returns nullptr when message contains an argument list.

### Properties

| `property Name : ustring read GetName;`
Returns the message name.

| `property ArgumentList : ICefListValue read GetArgumentList;`
Returns the list of arguments. Returns nullptr when message contains a shared memory region.

| `property SharedMemoryRegion : ICefSharedMemoryRegion read GetSharedMemoryRegion;`
Returns the shared memory region. Returns nullptr when message contains an argument list.

Generated by PasDoc 0.16.0-snapshot.